Ultima Version Apache
101Level - Foro

Ultima Version Apache

0 Usuarios y 1 Visitante están viendo este tema.

Desconectado Mastakilla

  • *
  • *
  • 613
  • 48
  • Actividad:
    0%
  • Sexo: Masculino
  • Yipi kai yey hijo de puta!
Ultima Version Apache
« en: 11 de Agosto de 2014, 19:14 »
Bien la cosa es que tengo un dedicado unmanaged que uso para alojar el ts, han sacado un cpanel bastante curioso los de whmcs que me interesa usar, me pide obviamente MySQL y las versiones de php 5.4 en adelante, yo entiendo que en el Apache 2.4 ya viene el .php 5.4 la cosa es que cuando creo el:

Código: PHP
  1. <?php
  2.   phpinfo();
  3. ?>

En lugar de aparecerme la info de la versión y demás me sale simplemente el código literal, como es esto posible si el apache esta bien instalado ya que esta siendo usado para otras cosas.

Salu2~
Recuerda si te gustan mis aportes :angel


Desconectado Castle

  • *
  • 323
  • 4
  • Actividad:
    0%
  • Sexo: Masculino
Re:Ultima Version Apache
« Respuesta #1 en: 11 de Agosto de 2014, 19:23 »
Es un problema del httpd.conf del apache, posiblemente no tenga puesta la interpretacion de archivos .php o .phps, cuando llegue a casa (cosa de 1 hora o asi) amplio mas.

Saludos!

Desconectado Mastakilla

  • *
  • *
  • 613
  • 48
  • Actividad:
    0%
  • Sexo: Masculino
  • Yipi kai yey hijo de puta!
Re:Ultima Version Apache
« Respuesta #2 en: 11 de Agosto de 2014, 19:38 »
He probado con esto:

Código: PHP
  1. LoadModule php5_module  modules/libphp5.so
  2. AddHandler php5-script  .php
  3.  
  4. DirectoryIndex index.html index.php
  5.  
  6. AddType text/html   .php
  7.  
  8. AddType application/x-httpd-php-source phps

y salta esto cuando reinicio:

Código: [Seleccionar]
[root@comunicaciones /]# service httpd restart
Stopping httpd:                                            [  OK  ]
Starting httpd: httpd: Syntax error on line 202 of /etc/httpd/conf/httpd.conf: C                  annot load /etc/httpd/modules/libphp5.so into server: /etc/httpd/modules/libphp5                  .so: cannot open shared object file: No such file or directory
                                                           [FAILED]
[root@comunicaciones /]#

Y efectivamente no lo tengo...como hago para meterlo?
« última modificación: 11 de Agosto de 2014, 19:50 por Mastakilla »
Recuerda si te gustan mis aportes :angel

Desconectado Castle

  • *
  • 323
  • 4
  • Actividad:
    0%
  • Sexo: Masculino
Re:Ultima Version Apache
« Respuesta #3 en: 11 de Agosto de 2014, 20:58 »
Te dire 2 cosas que creo que estan mal, creo recordar que son de otra forma al menos >.<

En la linea 6 deberias cambiar

Código: PHP
  1. AddType text/html   .php
  2.  

Código: PHP
  1. AddType application/x-httpd-php .php
  2.  

Y en la linea 8 deberias añadir un "." antes de "phps" quedando asi:

Código: PHP
  1. AddType application/x-httpd-php-source .phps
  2.  

Si no te funcionara... Podriamos ir mirando poco a poco a ver que falla o que pide, pero de todas formas te digo que es jodido de arreglar porque no sabes exactamente que tienes que cambiar y como te falte una libreria... Di adios xD

Como ultimo recurso siempre te queda quitar ese Apache y ese PHP y poner un LAMPP, pero no se si hay alguno que tenga php 5.4... Aun asi, que sepas que el problema es ese codigo, que es el que le dice al Apache que debe tirar de PHP para entender los archivos .php y .phps.

Saludos Mastakilla :)
« última modificación: 11 de Agosto de 2014, 20:59 por Castle »


Desconectado Mastakilla

  • *
  • *
  • 613
  • 48
  • Actividad:
    0%
  • Sexo: Masculino
  • Yipi kai yey hijo de puta!
Re:Ultima Version Apache
« Respuesta #4 en: 11 de Agosto de 2014, 22:57 »
Nada el error continua y es por esto:

Código: PHP
  1. LoadModule php5_module  modules/libphp5.so

me dice que no esta o no puede leer, la cuestion es que yo actualizo con el yum udpdate y hasta donde se debería salir, al eliminar esta linea en el httpd.conf si que hace el service httpd restart correcto, pero sigue leyéndose así: http://ts.atgame.org/php.php incluso con tus mods

Por si sirve de algo todo esta sacado de aquí: http://php.net/manual/es/install.unix.apache2.php
« última modificación: 11 de Agosto de 2014, 23:07 por Mastakilla »
Recuerda si te gustan mis aportes :angel

Desconectado Castle

  • *
  • 323
  • 4
  • Actividad:
    0%
  • Sexo: Masculino
Re:Ultima Version Apache
« Respuesta #5 en: 11 de Agosto de 2014, 23:56 »
Te dejo un enlace con una posible solucion. Teniendo en cuenta que es Linux lo que pone aqui es logico y tal vez te sirva!

Suerte con ello!

http://stackoverflow.com/questions/5484047/libphp5-so-missing


Desconectado Mastakilla

  • *
  • *
  • 613
  • 48
  • Actividad:
    0%
  • Sexo: Masculino
  • Yipi kai yey hijo de puta!
Re:Ultima Version Apache
« Respuesta #6 en: 12 de Agosto de 2014, 13:32 »
Usando:  yum install libapache2-mod-php5

me tira:

Código: [Seleccionar]

[root@comunicaciones /]# yum install libapache2-mod-php5
Loaded plugins: fastestmirror
Loading mirror speeds from cached hostfile
 * base: mirror.supremebytes.com
 * extras: mirror.supremebytes.com
 * updates: linux.mirrors.es.net
base                                                     | 3.7 kB     00:00
extras                                                   | 3.4 kB     00:00
updates                                                  | 3.4 kB     00:00
updates/primary_db                                       | 4.7 MB     00:00
vz-base                                                  |  951 B     00:00
vz-updates                                               |  951 B     00:00
Setting up Install Process
No package libapache2-mod-php5 available.
Error: Nothing to do

Voy a probar el resto de posibles soluciones y os cuento

EDIT1: no se que le pasa pero no consigo actualizar las librerías de ninguna de las maneras

en teoría lo tengo todo bien y compilando debería funcionar pero no lo hace 

he usado:

Código: [Seleccionar]
./configure --with-apxs2=/usr/bin/apxs
Código: [Seleccionar]
$ make
$ make install

Pero nada no hay manera no se que ****pasa.
« última modificación: 12 de Agosto de 2014, 16:32 por Mastakilla »
Recuerda si te gustan mis aportes :angel

Desconectado Alderis

  • *
  • 397
  • 21
  • Actividad:
    0%
  • Sexo: Masculino
  • Solo mueres una vez, que valga la pena tu vida
Re:Ultima Version Apache
« Respuesta #7 en: 12 de Agosto de 2014, 16:38 »
¿qué distro estás usando? ¿tu hiciste la instalación o te lo entregaron listo?
"La música llama al corazón y despierta la Pasión"

Desarrollador de aplicaciones web y de escritorio.
Contacto por MP. https://www.acvp.cl


Desconectado Mastakilla

  • *
  • *
  • 613
  • 48
  • Actividad:
    0%
  • Sexo: Masculino
  • Yipi kai yey hijo de puta!
Re:Ultima Version Apache
« Respuesta #8 en: 12 de Agosto de 2014, 17:11 »
Centos 6 x64bits, es unmanaged no te dan nada, todo esta instalado por mi.

Es un dedicado con 8ip asignadas destinado a ts3 y minercraft, ahora se pretende ampliar el uso al servicio web para gamers con un panel de whmcs que te permite visualizar contenidos, gestionar servicios, crear vps dentro del mismo y a los jugadores con canales o servers en el ts les permite una completa administracion, kicks bans de sus canales etc , pero es preciso tener php 5.4.X he ahi mi problema
« última modificación: 12 de Agosto de 2014, 17:19 por Mastakilla »
Recuerda si te gustan mis aportes :angel

Desconectado Castle

  • *
  • 323
  • 4
  • Actividad:
    0%
  • Sexo: Masculino
Re:Ultima Version Apache
« Respuesta #9 en: 12 de Agosto de 2014, 17:29 »
Masta, te dejo un tutorial que hizo un compañero de clase en su web. Es un proceso completo de instalacion de LAMP, puede que igual te valga... Un saludo!

http://nireneko.es/blog/instalacion-de-lamp-con-debian-wheezy-y-mariadb


Desconectado Mastakilla

  • *
  • *
  • 613
  • 48
  • Actividad:
    0%
  • Sexo: Masculino
  • Yipi kai yey hijo de puta!
Re:Ultima Version Apache
« Respuesta #10 en: 12 de Agosto de 2014, 18:36 »
Yo tengo CentOS release 6.5 x64

https://downloads.mariadb.org/mariadb/repositories/#mirror=ulakbim&distro=CentOS&distro_release=centos6-amd64

Deberia usar la que esta preparada para 5.5¿
Recuerda si te gustan mis aportes :angel

Desconectado Castle

  • *
  • 323
  • 4
  • Actividad:
    0%
  • Sexo: Masculino
Re:Ultima Version Apache
« Respuesta #11 en: 12 de Agosto de 2014, 21:35 »
Yo tengo CentOS release 6.5 x64

https://downloads.mariadb.org/mariadb/repositories/#mirror=ulakbim&distro=CentOS&distro_release=centos6-amd64

Deberia usar la que esta preparada para 5.5¿

Si, prueba con esa a ver. No creo que te de problema...

Desconectado Mastakilla

  • *
  • *
  • 613
  • 48
  • Actividad:
    0%
  • Sexo: Masculino
  • Yipi kai yey hijo de puta!
Re:Ultima Version Apache
« Respuesta #12 en: 12 de Agosto de 2014, 23:16 »
Me dice que no hay paquetes disponibles para esa version :C voy a hacer una particion en el dedicado y a probar con otro SO porke ya me he cansao xd, mañana os cuento.
Recuerda si te gustan mis aportes :angel

Desconectado Alderis

  • *
  • 397
  • 21
  • Actividad:
    0%
  • Sexo: Masculino
  • Solo mueres una vez, que valga la pena tu vida
Re:Ultima Version Apache
« Respuesta #13 en: 13 de Agosto de 2014, 00:54 »
No deberías tener ese problema entonces ... ¿instalaste algún paquete alterno de apache o usaste el repositorio "oficial"?
"La música llama al corazón y despierta la Pasión"

Desarrollador de aplicaciones web y de escritorio.
Contacto por MP. https://www.acvp.cl

Desconectado Mastakilla

  • *
  • *
  • 613
  • 48
  • Actividad:
    0%
  • Sexo: Masculino
  • Yipi kai yey hijo de puta!
Re:Ultima Version Apache
« Respuesta #14 en: 13 de Agosto de 2014, 01:24 »
El del repositorio oficial porsupuesto, de todas formas con CentOS 6 x64 10.1 si que me ha funcionado esta raro, en fin podeis cerrar gracias mis amores :C
Recuerda si te gustan mis aportes :angel

Desconectado Castle

  • *
  • 323
  • 4
  • Actividad:
    0%
  • Sexo: Masculino
Re:Ultima Version Apache
« Respuesta #15 en: 13 de Agosto de 2014, 10:45 »
Nada hombre! Estamos para ayudar :)